Skip to content

List API keys

GET
/v1/api-keys/

Lists all API keys for the authenticated user. Only key prefixes are returned, never the full key or hash.

Response for status 200

Array<object>
object
id
required
string
name
required
Any of:
string
keyPrefix
required
string
permissions
required
Array<string>
status
required
string
expiresAt
required
Any of:
Any of:
Date
createdAt
required
Any of:
Date
lastUsedAt
required
Any of:
Any of:
Date

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string